Query dimensions
curl --request POST \
--url https://sandbox.tight.com/v6/templates/dimensions/query \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.tight.com/v6/templates/dimensions/query"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.tight.com/v6/templates/dimensions/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": "SUCCESS",
"data": [
{
"id": "tdim_439512",
"name": "Region",
"status": "ACTIVE",
"requiredness": "REQUIRED",
"child": {
"id": "tdim_439513",
"name": "Location",
"status": "ACTIVE",
"requiredness": "NOT_REQUIRED"
}
},
{
"id": "tdim_439514",
"name": "Job Site",
"status": "ACTIVE",
"requiredness": "NOT_REQUIRED"
}
],
"cursor": {
"after": "<string>",
"before": "<string>"
},
"error": []
}{
"result": "FAILURE",
"error": [
{
"type": "REQUIRED",
"message": "Amount is required",
"param": "amount"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "INVALID_TOKEN",
"message": "Invalid access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "FORBIDDEN",
"message": "Expired access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "BAD_REQUEST",
"message": "Resource not found"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "Something went wrong. Please try again later."
}
]
}Dimensions
Query dimensions
Query dimensions for the authenticated user. Use these to configure any dimensions that your users need to track against. These are what your users will see and can assign transactions to (e.g., Location, Job, Department, etc.). Dimensions can be hierarchical (e.g., Region -> Location -> Building).
POST
/
v6
/
templates
/
dimensions
/
query
Query dimensions
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is a partner-level token.
Response
Success
Paginated response for dimensions
⌘I